/*******************************************************************************
#
# Copyright (C) 2010-2013 Matteo Paonessa <matteo.paonessa@gmail.com>
#
# This file is part of the Caesium distribution.
#
# Caesium is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# Caesium is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Caesium; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, 5th Floor, Boston, MA 02110-1301 USA.
#
# Author: Matteo Paonessa <matteo.paonessa@gmail.com>
#
# ******************************************************************************/

#include "about.h"
#include "ui_about.h"
#include "global.h"

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::AboutDialog)
{
    ui->setupUi(this);

    ui->infoTextEdit->setHtml("<strong>" +
                              tr("Name:") + "</strong> " + qApp->applicationDisplayName() + "<br /><strong>" +
                              tr("Version:") + "</strong> " + version_string + "<br /><strong>" +
                              tr("Author:") + "</strong> Matteo Paonessa<br /><strong>eMail:</strong> matteo.paonessa@gmail.com<br /><strong>" +
                              tr("Website: ") + "</strong><a href=\"http://caesium.sourceforge.net\">http://caesium.sourceforge.net</a>");

    // Due to the source encoding issue of the original caesium 1.7.0 source archive,
    // I don't know if all the translator's name are displayed correctly...
    ui->thanksTextBrowser->setHtml("<p><strong>" + tr("Translations:") +
                                "</strong></p><ul>"
                                "<li>FR - DODICH</li>"
                                "<li>JP - Tilt</li>"
                                "<li>DE - Markus</li>"
                                "<li>TW - Zkm</li>"
                                "<li>SV - �ke Engelbrektson</li>"
                                "<li>CN - Rob, BLumia</li>"
                                "<li>ES - Jorge Alvarez Or�</li>"
                                "<li>PT-BR - Dann Joe</li>"
                                "<li>GR - geogeo</li>"
                                "<li>KR - CoCoChipmunk</li>"
                                "<li>RU - Sergei Leonov</li></ul>" +
                                "<p><strong>Pyexiv2</strong> - <a href=\"http://tilloy.net/dev/pyexiv2/\">http://tilloy.net/dev/pyexiv2/</a><br />" +
                                tr("For Metatag manipulation") + "<br /><br /><strong>Tango Desktop Project </strong>- http://tango.freedesktop.org/<br />" +
                                "<strong>Elementary Icons </strong>- <a href=\"http://danrabbit.deviantart.com/art/elementary-Icons-65437279\">http://danrabbit.deviantart.com/art/elementary-Icons-65437279</a><br />" +
                                tr("Base of the icon set"));


}

AboutDialog::~AboutDialog()
{
    delete ui;
}

void AboutDialog::on_closeButton_clicked()
{
    this->close();
}
